#ifndef _RIFLE_RANGE_H_
#define _RIFLE_RANGE_H_

using namespace std;

#define g 9.80665

class RifleRange
{

public:
    RifleRange(double v0=0, double alpha=0);

    double maxHeight() const;
    double maxTime() const;
    double maxLength() const;
    
    void tabulateTrajectory(ostream& os, int num_points);
    void tabulateVelocity(ostream& os, int num_points);
    
    
private:
    double m_v0;
    double m_alpha;
};


#endif
